Bug 656642 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nsd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Keywords:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:36 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
2 users (show)

Fixed In Version: nsd-3.2.7-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-23 22:49:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:36:28 UTC
Your package nsd appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Update System 2011-03-09 20:10:21 UTC
nsd-3.2.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nsd-3.2.7-3.el5

Comment 2 Fedora Update System 2011-03-14 18:27:53 UTC
nsd-3.2.7-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nsd-3.2.7-5.fc13

Comment 3 Fedora Update System 2011-03-14 18:28:04 UTC
nsd-3.2.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nsd-3.2.7-5.el6

Comment 4 Fedora Update System 2011-03-14 18:28:14 UTC
nsd-3.2.7-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nsd-3.2.7-5.fc14

Comment 5 Fedora Update System 2011-03-14 18:28:25 UTC
nsd-3.2.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nsd-3.2.7-5.el5

Comment 6 Fedora Update System 2011-03-23 22:49:11 UTC
nsd-3.2.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-03-23 22:52:28 UTC
nsd-3.2.7-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-30 17:33:04 UTC
nsd-3.2.7-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-30 17:34:52 UTC
nsd-3.2.7-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.